org.apache.ivy.osgi.updatesite.xml

## Class FeatureParser

- java.lang.Object
- - org.apache.ivy.osgi.updatesite.xml.FeatureParser

    public class FeatureParser
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`FeatureParser()`

### Method Summary

Methods
`static EclipseFeature` `parse(java.io.InputStream in)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FeatureParser

    public FeatureParser()

### Method Detail

#### parse

    public static EclipseFeature parse(java.io.InputStream in)
                                throws java.text.ParseException,
                                       java.io.IOException,
                                       org.xml.sax.SAXException

Throws:
  `java.text.ParseException`
  `java.io.IOException`
  `org.xml.sax.SAXException`